<%@ page language="java" %>

<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Properties" %>
<%@ page import="java.util.Vector" %>
<%@ page import="com.ibm.db2.cwq.catalog.ListItem" %>

<jsp:useBean
    id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean
    id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean
    id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<% 
    response.setContentType( "text/vnd.wap.wml" );
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);


	// ============================================
	// calc page number
	int ipp = 5; 
	int pgnum = 1;

	if( request.getParameterValues("pgnum") != null )
	{
		pgnum = new Integer(request.getParameterValues("pgnum")[0]).intValue();

		if( pgnum == Math.abs(pgnum) )
			pgnum++;
		else
			pgnum = Math.abs(pgnum) - 1;

	}

	if( pgnum < 2 )
		pgnum = 1;


	// ============================================
	// get list of tables
	ListItem li = null;

	String item = new String();
	StringBuffer items = new StringBuffer();
	int pos = 0;
	int counter = 0;
	int addedCounter = 0;

	for( int i=0; i<webquerytool_ui.getTree().size(); i++ )
	{
	    li = (ListItem) webquerytool_ui.getTree().elementAt(i);
	    if( li.getPath().indexOf("/Table Data/Tables/") != -1 ) 
	    {
			item = li.getPath().substring(
				19+li.getPath().indexOf("/Table Data/Tables/"),
				li.getPath().length()
			);

			if( (pos = item.indexOf("/")) != -1 )
			{
				if( counter >= (pgnum-1)*ipp && counter <= pgnum*ipp )
				{
					addedCounter++;
					items.append(
						"<option value=\""+li.getId()+"\" title=\"Select\" onpick=\"#commands\">"
							+item.substring(0,pos) + "." + item.substring(pos+1,item.length())
						+"</option>"
					);
				}
				counter++;
			}
	    }
	}
	
	if( addedCounter == 0 ) {
	    items.append(
	    	"<option>No available tables.</option>"
	    );
 	}
%>


<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" 
	"http://www.wapforum.org/DTD/wml_1.1.xml">

<WML>

<HEAD>
<META name="COPYRIGHT" content="IBM Corporation (c) 1999-2000, All Rights Reserved"/>
<META name="GENERATOR" content="IBM Web Query Tool (c) 1999-2000, All Rights Reserved"/>
<META forua="true" http-equiv="Cache-Control" content="no-cache"/>
<META forua="true" http-equiv="Cache-Control" content="must-revalidate"/>
</HEAD>




<%	// ===================================================
	// Main Tables Card
	// =================================================== %>

<CARD id="main">
<P align="center" mode="nowrap"><B> DB2 Web Query </B> <BR/>

<IMG alt="Tables" src="<%= webquerytool_cfg.getWebRoot(request)%>/tab.bmp"/> <I>Tables</I> <%= ((pgnum-1)*ipp)+1 %>-<%= pgnum*ipp %> of <%= counter %></P>

<P mode="nowrap"><SELECT name="tableslist">
    <%	if( pgnum*ipp < counter ) { %>
    <OPTION title="Next" onpick="<%=webquerytool_cfg.getWebRoot(request)%>/TablesTables.jsp?pgnum=<%= pgnum %>">Next <%= ipp %></OPTION>
    <%	} %>

    <%= items %>

    <% 	if( ((pgnum-1)*ipp)+1 > 1 ) { %>
    <OPTION title="Prev" onpick="<%=webquerytool_cfg.getWebRoot(request)%>/TablesTables.jsp?pgnum=-<%= pgnum %>">Previous <%= ipp %></OPTION>
    <%	} %>

</SELECT></P>

</CARD>




<%	// ===================================================
	// Commands Card
	// =================================================== %>

<CARD id="commands">
<P align="center" mode="nowrap"><B>DB2 Web Query</B> <BR/>

<IMG alt="1" src="<%= webquerytool_cfg.getWebRoot(request)%>/tab.bmp"/> <I>Commands</I></P>

<P align="left" mode="nowrap"><SELECT name="cmd">
    <OPTION title="Query" onpick="<%= webquerytool_cfg.getBaseURL(request) %>/TablesPage?op=process&amp;cmd=query&amp;objId=$(tableslist)">Query</OPTION>

    <OPTION title="Rename" onpick="<%= webquerytool_cfg.getBaseURL(request) %>/TablesPage?op=process&amp;cmd=rename&amp;objId=$(tableslist)">Rename</OPTION>

    <OPTION title="Empty" onpick="#confirmempty">Empty</OPTION>

    <OPTION title="Drop" onpick="#confirmdrop">Drop</OPTION>
</SELECT></P>
</CARD>





<%	// ===================================================
	// Drop Confirm
	// =================================================== %>

<CARD id="confirmdrop">
<DO type="accept" label="Yes">
<GO href="<%= webquerytool_cfg.getBaseURL(request) %>/TablesPage?op=process&amp;cmd=drop&amp;objId=$(tableslist)"/>
</DO>

<DO type="option" label="No">
<PREV/>
</DO>

<P align="center" mode="nowrap"><B>DB2 Web Query</B> <BR/>

<IMG alt="1" src="<%= webquerytool_cfg.getWebRoot(request)%>/tab.bmp"/> <I>Confirm Drop</I></P>

<P mode="wrap">Are you sure you want to drop this table?</P>
</CARD>






<%	// ===================================================
	// Empty Confirm
	// =================================================== %>

<CARD id="confirmempty">
<DO type="accept" label="Yes">
<GO href="<%= webquerytool_cfg.getBaseURL(request) %>/TablesPage?op=process&amp;cmd=empty&amp;objId=$(tableslist)"/>
</DO>

<DO type="option" label="No">
<PREV/>
</DO>

<P align="center" mode="nowrap"><B>DB2 Web Query</B> <BR/>

<IMG alt="1" src="<%= webquerytool_cfg.getWebRoot(request)%>/tab.bmp"/> <I>Confirm Empty</I></P>

<P mode="wrap">Are you sure you want to empty the contents of this table?</P>
</CARD>



<%	// ===================================================
	// Rename Card
	// =================================================== %>

<CARD id="rename">
<P align="center" mode="nowrap"><IMG alt="1" src="<%= webquerytool_cfg.getWebRoot(request)%>/tab.bmp"/> &nbsp; <I>Rename</I> <BR/>
---------------</P>

<P mode="nowrap">New Name :</P>
</CARD>


</WML>
